import 'environment/environment.dart';

class API {
  static const tokenKey = 'Telephony-Manage-Token';

  ///HOST
  static String get host {
    if (DevEV.instance.dev) {
      return 'http://10.0.2.2:8088';
    } else {
      return 'https://api.yunyunwenche.com';
    }
  }

  static String get imageHost {
    if (DevEV.instance.dev) {
      return 'http://10.0.2.2:8088';
    } else {
      return 'https://static.yunyunwenche.com';
    }
  }
  static const int networkTimeOut = 10000;

  static String get baseURL => host;

  static _App app = _App();
  static _Pay pay = _Pay();
}
class _App {
  String get login => '/app/login';
  String get logout => '/app/login/logout';
  String get captcha => '/app/captcha';
  String get info => '/app/user/info';
}

class _Pay {
  String get wxpay => '/app/pay/wxpay';
  String get alipay => '/app/pay/alipay';
  String get wxCallback => '/callback/wxpay/notify';
  String get aliCallback => '/callback/alipay/notify';
}